BigCommerce - Hosted Ecommerce Software by Interspire

Interspire Forum

 
Go Back   Interspire Forum > Interspire Shopping Cart Community Forum > Customization and Integration > Code Modification and Development Questions

Reply
 
Thread Tools Display Modes
  #1  
Old 02-10-2011, 01:36 AM
porle + porle is offline
Interspire Customer
 
Join Date: Oct 2009
Posts: 64
Question eWay Credit Card Error Message

Hi All,

When a customer pays via credit card using eWay and there is an error (incorrect card number / exp date, etc...) they receive this error message:

Something went wrong when trying to process your payment. Please review the error message and try again:
Something went wrong when trying to process your payment. Please review the error message and try again:


It appears to repeate the general error twice and doesn't tell the user specifically what is wrong with their payment.

I notice that when I try to add an order via the admin the same generic error also occurs.

Has anyone else experainced this? Is there a fix? Customers often call saying they have an error but they dont know what it is!
Reply With Quote
  #2  
Old 02-10-2011, 07:23 AM
myshop + myshop is offline
Interspire Customer
 
Join Date: Aug 2008
Location: Central Coast, NSW Australia
Posts: 1,339
Default

We have plenty of clients using eWay successfully. - What version of the cart are you using ?
Reply With Quote
  #3  
Old 02-10-2011, 09:42 AM
porle + porle is offline
Interspire Customer
 
Join Date: Oct 2009
Posts: 64
Default

Hi MyShop,

Thanks for your response. I am using 5.5.2, I dont see any mention of version number in the eway module though.

The gateway works fine, transactions go through, but if a customer makes a keying error or the card is declined the site doesn't display a specific error message, just the repeated generic message posted about.

Thanks again,
p.
Reply With Quote
  #4  
Old 02-10-2011, 10:07 AM
myshop + myshop is offline
Interspire Customer
 
Join Date: Aug 2008
Location: Central Coast, NSW Australia
Posts: 1,339
Default

5.5.2 is quite old now - there have been quite a few eWay related updates. Recommend you update to 6.1.1 and keep your site current.
Reply With Quote
  #5  
Old 02-10-2011, 10:12 AM
porle + porle is offline
Interspire Customer
 
Join Date: Oct 2009
Posts: 64
Default

Agreed, I am in the process up organising an update. I have some complicatied customisations in place and I want to ensure the will be compatible with 6.0.14

Is 6.0.14 the most recent? I see this version in the reminder at the top of my site's admin.

p.
Reply With Quote
  #6  
Old 02-10-2011, 10:15 AM
myshop + myshop is offline
Interspire Customer
 
Join Date: Aug 2008
Location: Central Coast, NSW Australia
Posts: 1,339
Default

No, 6.1.1 is the latest - When you login to your client area you will see you can only download 6.1.1.
Reply With Quote
  #7  
Old 02-10-2011, 10:16 AM
porle + porle is offline
Interspire Customer
 
Join Date: Oct 2009
Posts: 64
Default

Ah I see. My support expired in December. I will have to stick with the plan to implement 6.0.14 for now. Thanks for the tip tho.

p.
Reply With Quote
Reply

Tags
error, eway, message

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump